{% extends 'index.html' %}
{% load static %}
{% load humanize %}
{% load customhumanize %}

{% block theme-css-files %}
  <link href="{% static 'css/datepicker.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block header-js %}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
{% endblock %}

{% block title %}{{ html_title }}{% endblock title %}
{% block page %}
{% include 'order/executors.html' %}
<div id="order-edit" class="order-edit" v-cloak>
  <div class="section section_default">
    <div class="section__content">
      <div class="section__header">
        <h1 class="section__title">{{ html_title }}</h1>
      </div>
      <div class="section__body">
        <form id="main-form" class="form form_default" action="" method="post">
          <div class="form__item form-group form-group_default">
            <div class="form-group__header">
              <h3>Исполнители</h3>
            </div>
            <div class="form-group__body">
              {% if form.operator %}
                <div class="order-edit-executors">
                  <div class="order-edit-executors__item"></div>
                  <executor v-for="(user, i) in order.operator" :key="user.id" @remove="onRemoveExecutor('{{ form.operator.name }}', i)" initial-role="{{ form.operator.name }}" :initial-user="user" :userlist="`${user.id}_operator`" :selected="user"/>
                </div>
              {% endif %}
              {% if form.expert %}
                <div class="order-edit-executors">
                  <div class="order-edit-executors__item"></div>
                  <executor v-for="(user, i) in order.expert" :key="user.id" @remove="onRemoveExecutor('{{ form.expert.name }}', i)" initial-role="{{ form.expert.name }}" :initial-user="user" :userlist="`${user.id}_expert`" :selected="user"/>
                </div>
              {% endif %}
              {% if form.expert_check %}
                <div class="order-edit-executors">
                  <div class="order-edit-executors__item"></div>
                  <executor v-for="(user, i) in order.expert_check" :key="user.id" @remove="onRemoveExecutor('{{ form.expert_check.name }}', i)" initial-role="{{ form.expert_check.name }}" :initial-user="user" :userlist="`${user.id}_expert_check`" :selected="user"/>
                </div>
              {% endif %}
              {% if form.transferring %}
                <div class="order-edit-executors">
                  <div class="order-edit-executors__item"></div>
                  <executor v-for="(user, i) in order.transferring" :key="user.id" @remove="onRemoveExecutor('{{ form.transferring.name }}', i)" initial-role="{{ form.transferring.name }}" :initial-user="user" :userlist="`${user.id}_transferring`" :selected="user"/>
                </div>
              {% endif %}
              <div class="order-edit-executors">
                <div class="order-edit-executors__item"></div>
                <executor v-for="(user, i) in state.newExecutors" :key="user.id" @remove="onRemoveNewExecutor(i)" initial-role="{{ form.operator.name }}" :userlist="`${user.id}_new_executor`"/>
              </div>
              {% if form.operator or form.expert or form.expert_check or form.transferring %}
                <div class="order-edit-executors">
                  <div class="order-edit-executors__item"></div>
                  <div class="order-edit-executors__item">
                    <div class="btn btn_default btn_s btn_inline" @click="addExecutor()">
                      <div class="btn__title">Добавить</div>
                    </div>
                  </div>
                </div>
              {% endif %}
            </div>
          </div>
          <div class="form__item form-group form-group_default">
            <div class="form-group__header">
              <h3>Общая информация</h3>
            </div>
            <div class="form-group__body">
              <div class="fieldset fieldset_grid3">
                <div class="fieldset__item field">
                  <label class="label label_default label_s">филиал</label>
                  <div class="control control_default control_m">
                    <select name="filial" id="filial" v-model="filial" v-select2="filial">
                      {% for filial in filials %}
                        <option  value="{{ filial.id }}">{{ filial.name }}</option>
                      {% endfor %}
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">клиент</label>
                  <div class="control control_default control_m">
                    <select v-validate="'required'" class="validateVin" id="client" name="{{ form.client.name }}">
                      <!--<option v-for="c in allClients" :value="c.id">${ c.full_name }</option>-->
                    </select>
                  </div>
                  <div v-show="errors.has('{{ form.client.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                </div>
                {% if form.number_buh %}
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">номер договора</label>
                    <div class="control control_default control_m">
                      <input v-validate="'required'" class="validateVin" name="{{ form.number_buh.name }}" value="{{ form.number_buh.value }}" type="text">
                    </div>
                    <div v-show="errors.has('{{ form.number_buh.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                  </div>
                {% endif %}
                {% if form.order_type %}
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">услуга</label>
                    <div class="control control_default control_m">
                      <select name="{{ form.order_type.name }}">
                        {% for value, text in form.order_type.field.choices %}
                          {% if value != '' %}
                            <option value="{{ value }}" {% if value == form.order_type.value %} selected {% endif %}>{{ text }}</option>
                          {% endif %}
                        {% endfor %}
                      </select>
                      <div v-show="errors.has('{{ form.order_type.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                    </div>
                  </div>
                {% endif %}
                {% if form.cost %}
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">стоимость</label>
                    <div class="control control_default control_m">
                      <input v-model="cost" name="{{ form.cost.name }}"  value="{{form.cost.value}}" type="text">
                    </div>
                    <div v-show="errors.has('{{ form.cost.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                  </div>
                {% endif %}
                {% if form.paid %}
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">оплачено</label>
                    <div class="control control_default control_m">
                      <input v-model="paid" name="{{ form.paid.name }}" value="{{ form.paid.value|default_if_none:'' }}"
                      type="text">
                    </div>
                    <div v-show="errors.has('{{ form.paid.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                  </div>
                {% endif %}
                {% if form.with_client %}
                  <div class="fieldset__item field">
                    <label class="check check_m check_default" for="{{ form.with_client.id_for_label }}">
                      <input type="checkbox" id="{{ form.with_client.id_for_label }}" name="{{ form.with_client.name }}" {% if form.with_client.value %} checked {% endif %}>
                      <div class="check__icon"></div>
                      <div class="check__content">
                        <div class="check__title">в присутствии клиента</div>
                      </div>
                    </label>
                  </div>
                {% endif %}
              </div>
            </div>
          </div>
          <div class="form__item form-group form-group_default">
            <div class="form-group__header">
              <h3>Статус и сроки</h3>
            </div>
            <div class="form-group__body">
              <div class="fieldset fieldset_grid3">
                {% if form.status %}
                <div class="fieldset__item field">
                  <label class="label label_default label_s">статус</label>
                  <div class="control control_default control_m">
                    <select name="{{ form.status.name }}" >
                      {% for value, text in form.status.field.choices %}
                        {% if value != '' %}
                          {% if text == 'отказ' %}
                            {% if request.user.is_admin or request.user.is_acounter or request.user.is_leader%}
                            <option value="{{ value }}" {% if value == form.status.value %} selected {% endif %}>{{ text }}</option>
                            {% endif %}
                          {% else %}
                            <option value="{{ value }}" {% if value == form.status.value %} selected {% endif %}>{{ text }}</option>
                          {% endif %}
                          }
                        {% endif %}
                      {% endfor %}
                    </select>
                    <div v-show="errors.has('{{ form.status.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                  </div>
                </div>
                {% endif %}
                {% if form.date_start %}
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">дата начала</label>
                    <div v-show="errors.has('{{ form.date_start.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                    <datepicker name="{{ form.date_start.name }}" :format="'dd.MM.yyyy'" :value="start" @input="onChangeDatepickerStart" :disabled-dates="startDatepickerState.disabled" :monday-first="true" :language="datepickerLang" wrapper-class="control control_default control_m" calendar-class="calendar" input-class="calendar-input"/>
                  </div>
                {% endif %}
                {% if order and form.date_end %}
                  <div class="fieldset__item field">
                    <label class="label label_default label_s">дата сдачи</label>
                    <div v-show="errors.has('{{ form.date_end.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                    <datepicker name="{{ form.date_end.name }}" :format="'dd.MM.yyyy'" :value="end" @input="onChangeDatepickerEnd" :disabled-dates="endDatepickerState.disabled" :monday-first="true" :language="datepickerLang" wrapper-class="control control_default control_m" calendar-class="calendar" input-class="calendar-input"/>
                  </div>
                {% endif %}
              </div>
            </div>
          </div>
          {% if form.comment %}
            <div class="form__item form-group form-group_default">
              <div class="form-group__header">
                <h3>Комментарий</h3>
              </div>
              <div class="form-group__body">
                <div class="field">
                  <div class="control control_default control_m">
                    <textarea name="{{ form.comment.name }}">{{ form.comment.value|default_if_none:'' }}</textarea>
                  </div>
                  <div v-show="errors.has('{{ form.comment.name }}')" class="msg msg_field msg_fail">Поле обязательное для заполнения</div>
                </div>
              </div>
            </div>
          {% endif %}
          {% if form.reason_refuse %}
            <div class="form__item form-group form-group_default">
              <div class="form-group__header">
                <h3>Комментарий руководителя и причина отказа</h3>
              </div>
              <div class="form-group__body">
                <div class="field">
                  <div class="control control_default control_m">
                    <textarea v-validate="'required'" class="validateVin" name="{{ form.reason_refuse.name }}">{{ form.reason_refuse.value|default_if_none:'' }}</textarea>
                  </div>
                  <div v-show="errors.has('{{ form.reason_refuse.name }}')" class="msg msg_field msg_fail">Поле обязательно для заполнения</div>
                </div>
              </div>
            </div>
          {% endif %}
          <div id="refund_amount" class="fieldset fieldset_grid3">
            {% if form.refund_amount %}
              <div class="fieldset__item field">
                  <label class="label label_default label_s">Сумма возврата</label>
                  <div class="control control_default control_m">
                    <input v-validate="'required'" name="{{ form.refund_amount.name }}" value="{{ form.refund_amount.value }}"
                    type="number">
                  </div>
                  <div v-show="errors.has('{{ form.refund_amount.name }}')" class="msg msg_field msg_fail">Поле обязательно для заполнения</div>
              </div>
            {% endif %}
            {% if form.expert_compensation %}
              <div class="fieldset__item field" v-if="order_id">
                <label class="label label_default label_s">Компенсация эксперту</label>
                <div class="control control_default control_m">
                 {% if form.expert_compensation.value %}
                  <input v-validate="'required'" name="{{ form.expert_compensation.name }}" value="{{ form.expert_compensation.value }}" type="number">
                 {% else %}
                  <input v-validate="'required'" name="{{ form.expert_compensation.name }}" value="0" type="number">
                 {% endif %}
                </div>
                <div v-show="errors.has('{{ form.expert_compensation.name }}')" class="msg msg_field msg_fail">Поле обязательно для заполнения</div>
              </div>
            {% endif %}
          </div>
         
            <div class="form__item fieldset_grid3">
              {% if form.status_closing %}
                <label class="check check_m check_default" for="{{ form.status_closing.id_for_label }}">
                  <input type="checkbox" id="{{ form.status_closing.id_for_label }}" name="{{ form.status_closing.name }}" {% if form.status_closing.value %} checked {% endif %}>
                  <div class="check__icon"></div>
                  <div class="check__content">
                    <div class="check__title">Закрыть заказ</div>
                  </div>
                </label>
              {% endif %}
              {% if form.auto_from_salon %}
                <label class="check check_m check_default" for="{{ form.auto_from_salon.id_for_label }}">
                  <input type="checkbox" id="{{ form.auto_from_salon.id_for_label }}" name="{{ form.auto_from_salon.name }}" {% if form.auto_from_salon.value %} checked {% endif %}>
                  <div class="check__icon"></div>
                  <div class="check__content">
                    <div class="check__title">Авто из салона</div>
                  </div>
                </label>
              {% endif %}
            </div>
          <div class="form__item">
             <button @click.prevent="validateBeforeSubmit" class="btn btn_m btn_primary btn_block">
              <div class="btn__grid">
                <div class="btn__title">Сохранить</div>
              </div>
            </button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
{% endblock %}

{% block not-compressed-js %}
  {{ block.super }}
  <script>
    var date_start = {% if form.date_start.value %}  new Date("{{ form.date_start.value|date:"Y-m-d"|default:"" }}") {% else %} null  {% endif %};
    var date_end = {% if form.date_end.value %} new Date("{{ form.date_end.value|date:"Y-m-d" }}") {% else %} null {% endif %};
    {% if form.cost.value|white_space_humanize == 'None'%}
      var cost = 0;
    {% else %}
      var cost = '{{ form.cost.value|white_space_humanize|default_if_none:0 }}';
    {% endif %}
    let paid = '{{form.paid.value|white_space_humanize}}';
    var globalState = {executors: {}, filial: '{{form.filial.value}}', newExecutors: [], cost: cost, paid: paid};
    var order_id = "{{ order.id|default:'' }}";
  </script>
{% endblock %}

{% block script %}
  {{ block.super }}
  <script src="{% static 'js/orderedit.bundle.js' %}"></script>
{% endblock %}